Name:		gcdmaster
Version:	1.2.1
Release:        3%{?dist}
Summary:	A Gnome2 Disk-At-Once (DAO) Audio CD writer

Group:		Applications/Multimedia
License:	GPL
URL:            http://cdrdao.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:	http://easynews.dl.sourceforge.net/sourceforge/cdrdao/cdrdao-%{version}.tar.bz2
Requires:       cdrdao
BuildRequires:	gtkmm24-devel
BuildRequires:	libgnomeuimm26-devel
BuildRequires:  libsigc++20-devel
BuildRequires:  libvorbis-devel >= 1.0
BuildRequires:  desktop-file-utils
BuildRequires:  cdrecord-devel
BuildRequires:  libao-devel
Requires(post):   shared-mime-info desktop-file-utils
Requires(postun): shared-mime-info desktop-file-utils

%description
Gcdmaster is a GNOME2 GUI front-end to cdrdao that makes it easy to
visualize and manipulate audio information before burning it onto
CD. Its features include: cut/copy/paste of sound samples, track marks
edition and silence insertion.


%prep
%setup -q -n cdrdao-%{version}


%build
%configure --with-scglib=sys %{!?_with_mp3: --without-mp3-support}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_bindir}/cdrdao
rm -f $RPM_BUILD_ROOT%{_bindir}/*toc*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/cdrdao*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/cue2toc*
rm -fr $RPM_BUILD_ROOT%{_datadir}/cdrdao 
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install \
  --vendor fedora \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%postun
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING CREDITS ChangeLog README README.PlexDAE
%{_bindir}/gcdmaster
%{_datadir}/gcdmaster
%{_datadir}/applications/*.desktop
%{_datadir}/mime-info/gcdmaster*
%{_datadir}/mime/packages/gcdmaster.xml
%{_datadir}/application-registry/gcdmaster.applications
%{_datadir}/pixmaps/*
%{_mandir}/man1/gcdmaster*

%changelog
* Sat Dec 17 2005 Denis Leroy <denis@poolshark.org> - 1.2.1-3
- Added user macro to enable mp3 support

* Sat Dec 17 2005 Denis Leroy <denis@poolshark.org> - 1.2.1-2
- Removed unneeded doc entries
- Leave mp3 support in auto-detection

* Sat Nov 26 2005 Denis Leroy <denis@poolshark.org> - 1.2.1-1
- Initial version

